Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229502 - ACPI is not completely recognizing that Hyperthreading has been disabled in the BIOS
Summary: ACPI is not completely recognizing that Hyperthreading has been disabled in t...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-21 16:29 UTC by J. Adam Hough
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 2.6.20-1.2925.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-22 22:00:01 UTC


Attachments (Terms of Use)
Dmesg from booting the 2.6.19-1.2911.fc6 kernel with hyperthreading disabled (deleted)
2007-02-21 16:29 UTC, J. Adam Hough
no flags Details
Dmesg from booting the 2.6.19-1.2911.fc6 kernel with hyperthreading enabled (deleted)
2007-02-21 16:50 UTC, J. Adam Hough
no flags Details

Description J. Adam Hough 2007-02-21 16:29:36 UTC
Description of problem:
When Hyper Threading is turned of in the BIOS, "ACPI Exception
(acpi_processor-0681): AE_NOT_FOUND, Processor Device is not present [20060707]"
appears /var/log/dmesg.

Version-Release number of selected component (if applicable): kernel
2.6.19-1.2911.fc6



How reproducible:
Reboot and it will print the message

Steps to Reproduce:
1.Boot with Hyperthreading disabled in BIOS

  
Actual results:
ACPI Exception (acpi_processor-0681): AE_NOT_FOUND, Processor Device is not
present [20060707] is reported.

Expected results:
I would expect not to see any error message stating that "Processor Device is
not present"

Additional info:

Comment 1 J. Adam Hough 2007-02-21 16:29:37 UTC
Created attachment 148499 [details]
Dmesg from booting the 2.6.19-1.2911.fc6 kernel with hyperthreading disabled

Comment 2 J. Adam Hough 2007-02-21 16:50:35 UTC
Created attachment 148502 [details]
Dmesg from booting the 2.6.19-1.2911.fc6 kernel with hyperthreading enabled

Comment 3 Chuck Ebbert 2007-03-22 22:00:01 UTC
This message is gone now 2.6.20-1.2925.fc6


Note You need to log in before you can comment on or make changes to this bug.